Index: src/hugo/dfs.h
===================================================================
--- src/hugo/dfs.h	(revision 780)
+++ src/hugo/dfs.h	(revision 781)
@@ -5,5 +5,5 @@
 ///\ingroup flowalgs
 ///\file
-///\brief Dfs algorithm.
+///\brief %DFS algorithm.
 ///
 ///\todo Revise Manual.
@@ -17,31 +17,11 @@
 /// @{
 
-  ///%Dfs algorithm class.
-
-  ///This class provides an efficient implementation of %Dfs algorithm.
-  ///The edge lengths are passed to the algorithm using a
-  ///\ref ReadMapSkeleton "readable map",
-  ///so it is easy to change it to any kind of length.
-  ///
-  ///The type of the length is determined by the \c ValueType of the length map.
-  ///
-  ///It is also possible to change the underlying priority heap.
+  ///%DFS algorithm class.
+
+  ///This class provides an efficient implementation of %DFS algorithm.
   ///
   ///\param GR The graph type the algorithm runs on.
-  ///\param LM This read-only
-  ///EdgeMap
-  ///determines the
-  ///lengths of the edges. It is read once for each edge, so the map
-  ///may involve in relatively time consuming process to compute the edge
-  ///length if it is necessary. The default map type is
-  ///\ref GraphSkeleton::EdgeMap "Graph::EdgeMap<int>"
-  ///\param Heap The heap type used by the %Dfs
-  ///algorithm. The default
-  ///is using \ref BinHeap "binary heap".
   ///
-  ///\author Jacint Szabo and Alpar Juttner
-  ///\todo We need a typedef-names should be standardized. (-:
-  ///\todo Type of \c PredMap, \c PredNodeMap and \c DistMap
-  ///should not be fixed. (Problematic to solve).
+  ///\author Alpar Juttner
 
 #ifdef DOXYGEN
@@ -60,10 +40,10 @@
     
     ///\brief The type of the map that stores the last
-    ///edges of the shortest paths.
+    ///edges of the paths on the %DFS tree.
     typedef typename Graph::template NodeMap<Edge> PredMap;
     ///\brief The type of the map that stores the last but one
-    ///nodes of the shortest paths.
+    ///nodes of the paths on the %DFS tree.
     typedef typename Graph::template NodeMap<Node> PredNodeMap;
-    ///The type of the map that stores the dists of the nodes.
+    ///The type of the map that stores the dists of the nodes on the %DFS tree.
     typedef typename Graph::template NodeMap<int> DistMap;
 
@@ -81,14 +61,7 @@
 
 
-    ///Initialize maps.
-    
-    ///\todo Error if \c G or are \c NULL.
-    ///\todo Better memory allocation (instead of new).
+    ///Initializes the maps.
     void init_maps() 
     {
-//       if(!length) {
-// 	local_length = true;
-// 	length = new LM(G);
-//       }
       if(!predecessor) {
 	local_predecessor = true;
@@ -115,5 +88,4 @@
     ~Dfs() 
     {
-      //      if(local_length) delete length;
       if(local_predecessor) delete predecessor;
       if(local_pred_node) delete pred_node;
@@ -125,4 +97,6 @@
     ///Sets the graph the algorithm will run on.
     ///\return <tt> (*this) </tt>
+    ///\bug What about maps?
+    ///\todo It may be unnecessary
     Dfs &setGraph(const Graph &_G) 
     {
@@ -130,6 +104,4 @@
       return *this;
     }
-    ///Sets the length map.
-
     ///Sets the map storing the predecessor edges.
 
@@ -187,8 +159,7 @@
   ///This method runs the %DFS algorithm from a root node \c s
   ///in order to
-  ///compute the
-  ///shortest path to each node. The algorithm computes
-  ///- The shortest path tree.
-  ///- The distance of each node from the root.
+  ///compute 
+  ///- a %DFS tree and
+  ///- the distance of each node from the root on this tree.
  
     void run(Node s) {
@@ -228,7 +199,7 @@
     }
     
-    ///The distance of a node from the root.
-
-    ///Returns the distance of a node from the root.
+    ///The distance of a node from the root on the %DFS tree.
+
+    ///Returns the distance of a node from the root on the %DFS tree.
     ///\pre \ref run() must be called before using this function.
     ///\warning If node \c v in unreachable from the root the return value
@@ -236,42 +207,45 @@
     int dist(Node v) const { return (*distance)[v]; }
 
-    ///Returns the 'previous edge' of the shortest path tree.
-
-    ///For a node \c v it returns the 'previous edge' of the shortest path tree,
-    ///i.e. it returns the last edge from a shortest path from the root to \c
+    ///Returns the 'previous edge' of the %DFS path tree.
+
+    ///For a node \c v it returns the last edge of the path on the %DFS tree
+    ///from the root to \c
     ///v. It is \ref INVALID
     ///if \c v is unreachable from the root or if \c v=s. The
-    ///shortest path tree used here is equal to the shortest path tree used in
+    ///%DFS tree used here is equal to the %DFS tree used in
     ///\ref predNode(Node v).  \pre \ref run() must be called before using
     ///this function.
     Edge pred(Node v) const { return (*predecessor)[v]; }
 
-    ///Returns the 'previous node' of the shortest path tree.
-
-    ///For a node \c v it returns the 'previous node' of the shortest path tree,
-    ///i.e. it returns the last but one node from a shortest path from the
-    ///root to \c /v. It is INVALID if \c v is unreachable from the root or if
-    ///\c v=s. The shortest path tree used here is equal to the shortest path
-    ///tree used in \ref pred(Node v).  \pre \ref run() must be called before
+    ///Returns the 'previous node' of the %DFS tree.
+
+    ///For a node \c v it returns the 'previous node' on the %DFS tree,
+    ///i.e. it returns the last but one node of the path from the
+    ///root to \c /v on the %DFS tree.
+    ///It is INVALID if \c v is unreachable from the root or if
+    ///\c v=s.
+    ///\pre \ref run() must be called before
     ///using this function.
     Node predNode(Node v) const { return (*pred_node)[v]; }
     
-    ///Returns a reference to the NodeMap of distances.
-    
-    ///Returns a reference to the NodeMap of distances. \pre \ref run() must
+    ///Returns a reference to the NodeMap of distances on the %DFS tree.
+    
+    ///Returns a reference to the NodeMap of distances on the %DFS tree.
+    ///\pre \ref run() must
     ///be called before using this function.
     const DistMap &distMap() const { return *distance;}
  
-    ///Returns a reference to the shortest path tree map.
+    ///Returns a reference to the %DFS tree map.
 
     ///Returns a reference to the NodeMap of the edges of the
-    ///shortest path tree.
+    ///%DFS tree.
     ///\pre \ref run() must be called before using this function.
     const PredMap &predMap() const { return *predecessor;}
  
-    ///Returns a reference to the map of nodes of shortest paths.
-
-    ///Returns a reference to the NodeMap of the last but one nodes of the
-    ///shortest path tree.
+    ///Returns a reference to the map of last but one nodes of the %DFS tree.
+
+    ///Returns a reference to the NodeMap of the last but one nodes of the paths
+    ///on the
+    ///%DFS tree.
     ///\pre \ref run() must be called before using this function.
     const PredNodeMap &predNodeMap() const { return *pred_node;}
@@ -288,9 +262,4 @@
   };
   
-
-  // **********************************************************************
-  //  IMPLEMENTATIONS
-  // **********************************************************************
-
 /// @}
   
